> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halesis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List available models



## OpenAPI

````yaml https://app.halesis.com/openapi.json get /v1/models
openapi: 3.0.0
info:
  title: Halesis API Documentation
  version: 1.0.0
  description: Spec for Halesis API.
servers:
  - url: https://api.halesis.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Chat
  - name: Models
paths:
  /v1/models:
    get:
      tags:
        - Models
      summary: List available models
      operationId: get-external-api-v1-models
      parameters: []
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelsResponseSchema'
components:
  schemas:
    ModelsResponseSchema:
      type: object
      properties:
        object:
          type: string
          enum:
            - list
        data:
          type: array
          items:
            $ref: '#/components/schemas/ModelSchema'
      required:
        - object
        - data
    ModelSchema:
      type: object
      properties:
        id:
          type: string
        object:
          type: string
          enum:
            - model
      required:
        - id
        - object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.